PASSWD(1)

NAME
passwd - change user password

SYNOPSIS

passwd [options] [LOGIN]

DESCRIPTION

passwd changes passwords for user accounts. A normal user may only change the password for his/her own account, while the super user may change the password for any account. passwd also changes account information, such as the full name of the user, the user's login shell, or his/her password expiry date and interval.

  Password Changes

The user is first prompted for his/her old password, if one is present. This password is then encrypted and compared against the stored password. The user has only one chance to enter the correct password. The super user is permitted to bypass this step so that forgotten passwords may be changed.

After the password has been entered, password aging information is checked to see if the user is permitted to change the password at this time. If not, passwd refuses to change the password and exits.

The user is then prompted twice for a replacement password. The second entry is compared against the first and both are required to match in order for the password to be changed.

Then, the password is tested for complexity. As a general guideline, passwords should consist of 6 to 8 characters including one or more characters from each of the following sets:

•   lower case alphabetics

•   digits 0 thru 9

•   punctuation marks

Care must be taken not to include the system default erase or kill characters. passwd will reject any password which is not suitably complex.

  Hints for user passwords

The security of a password depends upon the strength of the encryption algorithm and the size of the key space. The UNIX System encryption method is based on the NBS DES algorithm and is very secure. The size of the key space depends upon the randomness of the password which is selected.

Compromises in password security normally result from careless password selection or handling. For this reason, you should not select a password which appears in a dictionary or which must be written down. The password should also not be a proper name, your license number, birth date, or street address. Any of these may be used as guesses to violate system security.

Your password must be easily remembered so that you will not be forced to write it on a piece of paper. This can be accomplished by appending two small words together and separating each with a special character or digit. For example, Pass%word.

Other methods of construction involve selecting an easily remembered phrase from literature and selecting the first or last letter from each word. An example of this is:

•   Ask not for whom the bell tolls

•   which produces

•   An4wtbt

You may be reasonably sure few crackers will have included this in their dictionaries. You should, however, select your own methods for constructing passwords and not rely exclusively on the methods given here.

OPTIONS

The options which apply to the passwd command are:

-a, --all
    This option can be used only with -S and causes show status for all users.

-d, --delete
    Delete a user's password (make it empty). This is a quick way to disable a password for an account. It will set the named account passwordless.

-e, --expire
    Immediately expire an account's password. This in effect can force a user to change his/her password at the user's next login.

-h, --help
    Display help message and exit.

-i, --inactive INACTIVE
    This option is used to disable an account after the password has been expired for a number of days. After a user account has had an expired password for INACTIVE days, the user may no longer sign on to the account.

-k, --keep-tokens
    Indicate change password should be performed only for expired authentication tokens (passwords). The user wishes to keep their non-expired tokens as before.

-l, --lock
    Lock the named account. This option disables an account by changing the password to a value which matches no possible encrypted value.

-m, --mindays MIN_DAYS
    Set the minimum number of days between password changes to MIN_DAYS. A value of zero for this field indicates that the user may change his/her password at any time.

-q, --quiet
    Quiet mode.

-r, --repository REPOSITORY
    change password in REPOSITORY repository

-S, --status
    Display account status information. The status information consists of 7 fields. The first field is the user's login name. The second field indicates if the user account is locked (L), has no password (NP), or has a usable password (P). The third field gives the date of the last password change. The next four fields are the minimum age, maximum age, warning period, and inactivity period for the password. These ages are expressed in days.

-u, --unlock
    Unlock the named account. This option re-enables an account by changing the password back to its previous value (to value before using -l option).

-w, --warndays WARN_DAYS
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned that his/her password is about to expire.

-x, --maxdays MAX_DAYS
    Set the maximum number of days a password remains valid. After MAX_DAYS, the password is required to be changed.

CAVEATS

Not all options may be supported. Password complexity checking may vary from site to site. The user is urged to select a password as complex as he or she feels comfortable with. Users may not be able to change their password on a system if NIS is enabled and they are not logged into the NIS server.

FILES

/etc/passwd
    User account information.

/etc/shadow
    Secure user account information.

EXIT VALUES

The passwd command exits with the following values:

0   success

1   permission denied

2   invalid combination of options

3   unexpected failure, nothing done

4   unexpected failure, passwd file missing

5   passwd file busy, try again

6   invalid argument to option

SEE ALSO

group(5), passwd(5), shadow(5).